Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.interceptor
Class AttributeDispatcher

    java.lang.Object
      org.jboss.mx.interceptor.AbstractInterceptor
          org.jboss.mx.interceptor.ReflectedDispatcher
              org.jboss.mx.interceptor.AttributeDispatcher

All Implemented Interfaces:
  Interceptor

public class AttributeDispatcher
extends ReflectedDispatcher

A dispatcher used by the AbstractMBeanInvoker class for the attribute getter and setter dispatch.

Version:
  $Revision: 1.2 $
Author:
  Scott.Stark@jboss.org

Field Summary

Fields inherited from class org.jboss.mx.interceptor.ReflectedDispatcher
`dynamic, method`

Fields inherited from class org.jboss.mx.interceptor.AbstractInterceptor
`isShared, name`

Constructor Summary
`AttributeDispatcher(Method getter, Method setter, boolean dynamic)`

Method Summary
`protected void` | `checkAssignable(String context, Class clazz, Object value)`
`Object` | `invoke(Invocation invocation)` Dispatch the attribute set or get.

Methods inherited from class org.jboss.mx.interceptor.ReflectedDispatcher
`handleInvocationExceptions`

Methods inherited from class org.jboss.mx.interceptor.AbstractInterceptor
`destroy, getName, init, isShared, setLogger, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeDispatcher

    public AttributeDispatcher(Method getter,
                               Method setter,
                               boolean dynamic)

Method Detail

### invoke

    public Object invoke(Invocation invocation)
                  throws Throwable

  Dispatch the attribute set or get. A get is identified by a dispatch with a null args value.

  Specified by:
    `invoke` in interface `Interceptor`
  Overrides:
    `invoke` in class `ReflectedDispatcher`
  Returns:
    the result of the attribute accessor invocation
  Throws:
    `InvocationException`
    `Throwable`

### checkAssignable

    protected void checkAssignable(String context,
                                   Class clazz,
                                   Object value)
                            throws InvalidAttributeValueException,
                                   ClassNotFoundException

  Throws:
    `InvalidAttributeValueException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.